// @use imports the Angular Material theme functions and mixins
// @use declarations need to be made before any @import or @include statements
@use '@angular/material' as mat;
@include mat.core();

// Import the custom palettes
@import './palettes/mdoa-green-palette.scss';
@import './palettes/mdoa-grey-palette.scss';
@import './palettes/mdoa-red-palette.scss';
@import './palettes/deNBI.scss';

// Define the palettes
$mdoa-primary: mat.m2-define-palette($md-mdoagrey, 400);
$mdoa-accent: mat.m2-define-palette($md-mdoagreen, 600);
$mdoa-warn: mat.m2-define-palette($md-mdoared, 500);
$deNBI: mat.m2-define-palette($deNBI, 100, 200, 300, 600);

// $mdoa-primary: mat.m2-define-palette($md-mdoagrey);
// $mdoa-accent: mat.m2-define-palette($md-mdoagreen);
// $mdoa-warn: mat.m2-define-palette($md-mdoared);
// $deNBI: mat.m2-define-palette($deNBI);

// Define the theme
$mdoa-theme: mat.m2-define-light-theme(
  (
    color: (
      primary: $mdoa-primary,
      accent: $mdoa-accent,
      warn: $mdoa-warn,
      denbi: $deNBI,
    ),
  )
);


// style settings for the complete app
html,
body {
  margin: 0;
  height: 100%;
  font-family: Roboto, 'Helvetica Neue', sans-serif;
}
